# eric7.WebBrowser.Download.DownloadManagerButton

Module implementing a tool button for the download manager.

### Global Attributes

None

### Classes

DownloadManagerButton | Class implementing a tool button for the download manager.

### Functions

None

## DownloadManagerButton

Class implementing a tool button for the download manager.

### Derived from

EricToolButton

### Class Attributes

None

### Class Methods

None

### Methods

DownloadManagerButton | Constructor
__buttonClicked | Private slot handling a user clicking the button.
__updateState | Private slot to update the button state.

### Static Methods

None

#### DownloadManagerButton (Constructor)

DownloadManagerButton(parent=None)

Constructor

parent (QWidget)
  reference to the parent widget

#### DownloadManagerButton.__buttonClicked

__buttonClicked()

Private slot handling a user clicking the button.

#### DownloadManagerButton.__updateState

__updateState()

Private slot to update the button state.

Up